Bug 89880 - Project is not reparsed when Compiler Collection is switched
Project is not reparsed when Compiler Collection is switched
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Project
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
projectsystem
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 16:12 UTC by alexandrov
Modified: 2007-12-26 14:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alexandrov 2006-11-22 16:12:02 UTC
Try next example.
1.Create new Quote sample project(Quote1). Open quote.cc file. All includes in
this file are known to our parser.
2. Change Default Compiler collection property in Tools/Options/C/C++ to Sun
Compiler Collection.
3. Create new Quote sample project(Quote2). Open quote.cc file. cstdlib and
cstring libraries were not included to Sun compiler collection include
directories. So they marked as unknown. 
4. Change compiler collection for quote2 project to GNU compiler collection.
Project were not reparsed. cstdlib and cstring still unknown. But if to close
Quote2 project and open again it will be reparsed and all inclusions in quote.cc
becomes known as for Quote1.
Comment 1 Thomas Preisler 2007-05-30 01:03:08 UTC
Fixed.
Comment 2 soldatov 2007-12-26 14:54:05 UTC
works for me.
verified in 200712260000 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo